Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xml.utils
Class SystemIDResolver

    java.lang.Object
      |
      +--weblogic.apache.xml.utils.SystemIDResolver

public class SystemIDResolver
extends java.lang.Object

This class is used to resolve relative URIs and SystemID strings into absolute URIs.

This is a generic utility for resolving URIs, other than the fact that it's declared to throw TransformerException. Please see code comments for details on how resolution is performed.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Constructor Summary
`SystemIDResolver()`

Method Summary
`static java.lang.String` | `getAbsoluteURI(java.lang.String url)` Take a SystemID string and try and turn it into a good absolute URL.
`static java.lang.String` | `getAbsoluteURI(java.lang.String urlString, java.lang.String base)` Take a SystemID string and try and turn it into a good absolute URL.
`static java.lang.String` | `getAbsoluteURIFromRelative(java.lang.String uri)` Get absolute URI from a given relative URI.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SystemIDResolver

    public SystemIDResolver()

Method Detail

### getAbsoluteURIFromRelative

    public static java.lang.String getAbsoluteURIFromRelative(java.lang.String uri)

  Get absolute URI from a given relative URI.

  The URI is resolved relative to the system property "user.dir" if it is available; if not (i.e. in an Applet perhaps which throws SecurityException) then it is currently resolved relative to "" or a blank string. Also replaces all backslashes with forward slashes.

  Parameters:
    `uri` - Relative URI to resolve
  Returns:
    Resolved absolute URI or the input relative URI if it could not be resolved.

### getAbsoluteURI

    public static java.lang.String getAbsoluteURI(java.lang.String url)
                                           throws javax.xml.transform.TransformerException

  Take a SystemID string and try and turn it into a good absolute URL.

  Parameters:
    `urlString` - url A URL string, which may be relative or absolute.
  Returns:
    The resolved absolute URI
  Throws:
    javax.xml.transform.TransformerException - thrown if the string can't be turned into a URL.

### getAbsoluteURI

    public static java.lang.String getAbsoluteURI(java.lang.String urlString,
                                                  java.lang.String base)
                                           throws javax.xml.transform.TransformerException

  Take a SystemID string and try and turn it into a good absolute URL.

  Parameters:
    `urlString` - SystemID string
    `base` - Base URI to use to resolve the given systemID
  Returns:
    The resolved absolute URI
  Throws:
    javax.xml.transform.TransformerException - thrown if the string can't be turned into a URL.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference